package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolDeleteactivityRequest) SetParam(v domain.AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam) *AlibabaWdkMarketingItempoolDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
